#!/bin/sh

#This script add to the special files, special instructions for GVA Macro in libreOffice

PATH_TO_HOME=$(xdg-user-dir)
PATH_TO_LO=${PATH_TO_HOME}/.config/libreoffice
PATH_TO_SCRIPT=${PATH_TO_LO}/4/user/basic
PATH_TO_SCRIPT_ORIGINAL=/usr/share/lliurex-dgti-conf-membrete
LIBRARY_SCRIPT_LINE='<library:library library:name="mGVA" xlink:href="$(USER)/basic/mGVA/script.xlb/" xlink:type="simple" library:link="false"/>'
LIBRARY_DIALOG_LINE='<library:library library:name="mGVA" xlink:href="$(USER)/basic/mGVA/dialog.xlb/" xlink:type="simple" library:link="false"/>'
PATH_TO_MGVA=/usr/lib/libreoffice/presets/basic/mGVA
PATH_TO_MGVA_HOME=${PATH_TO_LO}/4/user/basic
PATH_TO_TOOLBAR=${PATH_TO_LO}/4/user/config/soffice.cfg/modules/swriter/toolbar

logger -t lliurex-dgti-conf-membrete "Adding files to home_path_libreoffice"

#COMPROBAMOS SI EXISTE EL DIRECTORIO DE LA MACRO
if [ ! -d ${PATH_TO_MGVA_HOME}/mGVA ];then
	if [ -d ${PATH_TO_MGVA} ];then
		#echo "No existe el directorio, hemos de copiarlo"
		mkdir -p ${PATH_TO_MGVA_HOME}
		cp -r ${PATH_TO_MGVA} ${PATH_TO_MGVA_HOME}
		logger -t lliurex-dgti-conf-membrete "Directory created in home_path_libreoffice"
	else
		echo "You don't have original files to the GVA Macro of membretes, installation cancelled"		
		exit
	fi
fi

#COMPROBAMOS QUE LOS FICHERO QUE ENRUTAN LA MACRO EXISTEN Y QUE TIENEN BIEN LAS RUTAS
if [ ! -f ${PATH_TO_SCRIPT}/script.xlc ];then
	#echo "No existe el fichero, hemos de crearlo"
	mkdir -p ${PATH_TO_SCRIPT}
	cp -f ${PATH_TO_SCRIPT_ORIGINAL}/script.xlc $PATH_TO_SCRIPT
	logger -t lliurex-dgti-conf-membrete "File xlc is created in home_path"
fi

if [ -f ${PATH_TO_SCRIPT}/script.xlc ];then
	#echo "Existe el fichero"
	cat ${PATH_TO_SCRIPT}/script.xlc | grep '<library:library library:name="mGVA" xlink:href="$(USER)/basic/mGVA/script.xlb/" xlink:type="simple" library:link="false"/>'
	if [ "$?" != 0 ];then
		sed -i "s%</library:libraries>% $LIBRARY_SCRIPT_LINE\n</library:libraries>%g" ${PATH_TO_SCRIPT}/script.xlc
		#sed -i "s%</library:library>% $LIBRARY_SCRIPT_LINE\n</library:libraries>%g" ${PATH_TO_SCRIPT}/mGVA/script.xlb
	fi
fi

if [ ! -f ${PATH_TO_SCRIPT}/dialog.xlc ];then
	#echo "No existe el fichero, hemos de crearlo"
	mkdir -p ${PATH_TO_SCRIPT}
	cp -f ${PATH_TO_SCRIPT_ORIGINAL}/dialog.xlc $PATH_TO_SCRIPT
	logger -t lliurex-dgti-conf-membrete "File xlc is created in home_path"
fi
		
if [ -f ${PATH_TO_SCRIPT}/dialog.xlc ];then
	#echo "Existe el fichero"
	cat ${PATH_TO_SCRIPT}/dialog.xlc | grep '<library:library library:name="mGVA" xlink:href="$(USER)/basic/mGVA/dialog.xlb/" xlink:type="simple" library:link="false"/>'
	if [ "$?" != 0 ];then
		sed -i "s%</library:libraries>% $LIBRARY_DIALOG_LINE\n</library:libraries>%g" ${PATH_TO_SCRIPT}/dialog.xlc
		#sed -i "s%</library:library>% $LIBRARY_DIALOG_LINE\n</library:libraries>%g" ${PATH_TO_SCRIPT}/mGVA/dialog.xlb
		logger -t lliurex-dgti-conf-membrete "Adding new lines to homepath_libreoffice"
	fi
fi

#AÑADIMOS EL TOOLBAR AL WRITER
if [ ! -f ${PATH_TO_TOOLBAR}/standardbar.xml ];then
	mkdir -p ${PATH_TO_TOOLBAR}
	cp -f ${PATH_TO_SCRIPT_ORIGINAL}/standardbar.xml $PATH_TO_TOOLBAR
fi
